<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFCustomGeometry2D (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFCustomGeometry2D (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFCustomGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFCustomGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFCustomGeometry2D" class="title">Class XDDFCustomGeometry2D</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFCustomGeometry2D</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFCustomGeometry2D</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#XDDFCustomGeometry2D-org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D-">XDDFCustomGeometry2D</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D&nbsp;geometry)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addAdjustValue--">addAdjustValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addConnectionSite--">addConnectionSite</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addGuide--">addGuide</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPath</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addNewPath--">addNewPath</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addPolarAdjustHandle--">addPolarAdjustHandle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#addXYAdjustHandle--">addXYAdjustHandle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getAdjustValue-int-">getAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getAdjustValues--">getAdjustValues</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getConnectionSite-int-">getConnectionSite</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getConnectionSites--">getConnectionSites</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getGuide-int-">getGuide</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getGuides--">getGuides</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPath</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getPath-int-">getPath</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPath</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getPaths--">getPaths</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getPolarAdjustHandle-int-">getPolarAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getPolarAdjustHandles--">getPolarAdjustHandles</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryRectangle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getRectangle--">getRectangle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getXYAdjustHandle-int-">getXYAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#getXYAdjustHandles--">getXYAdjustHandles</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertAdjustValue-int-">insertAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertConnectionSite-int-">insertConnectionSite</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertGuide-int-">insertGuide</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPath</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertNewPath-int-">insertNewPath</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertPolarAdjustHandle-int-">insertPolarAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#insertXYAdjustHandle-int-">insertXYAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removeAdjustValue-int-">removeAdjustValue</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removeConnectionSite-int-">removeConnectionSite</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removeGuide-int-">removeGuide</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removePath-int-">removePath</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removePolarAdjustHandle-int-">removePolarAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#removeXYAdjustHandle-int-">removeXYAdjustHandle</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html#setRectangle-org.apache.poi.xddf.usermodel.XDDFGeometryRectangle-">setRectangle</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryRectangle</a>&nbsp;rectangle)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFCustomGeometry2D-org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFCustomGeometry2D</h4>
                                <pre>protected&nbsp;XDDFCustomGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D&nbsp;geometry)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getRectangle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRectangle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryRectangle</a>&nbsp;getRectangle()</pre>
                            </li>
                        </ul>
                        <a name="setRectangle-org.apache.poi.xddf.usermodel.XDDFGeometryRectangle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRectangle</h4>
                                <pre>public&nbsp;void&nbsp;setRectangle(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryRectangle.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryRectangle</a>&nbsp;rectangle)</pre>
                            </li>
                        </ul>
                        <a name="addPolarAdjustHandle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addPolarAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a>&nbsp;addPolarAdjustHandle()</pre>
                            </li>
                        </ul>
                        <a name="insertPolarAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertPolarAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a>&nbsp;insertPolarAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removePolarAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removePolarAdjustHandle</h4>
                                <pre>public&nbsp;void&nbsp;removePolarAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getPolarAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPolarAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a>&nbsp;getPolarAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getPolarAdjustHandles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPolarAdjustHandles</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandlePolar.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandlePolar</a>&gt;&nbsp;getPolarAdjustHandles()</pre>
                            </li>
                        </ul>
                        <a name="addXYAdjustHandle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addXYAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a>&nbsp;addXYAdjustHandle()</pre>
                            </li>
                        </ul>
                        <a name="insertXYAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertXYAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a>&nbsp;insertXYAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeXYAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeXYAdjustHandle</h4>
                                <pre>public&nbsp;void&nbsp;removeXYAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getXYAdjustHandle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXYAdjustHandle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a>&nbsp;getXYAdjustHandle(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getXYAdjustHandles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXYAdjustHandles</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFAdjustHandleXY.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFAdjustHandleXY</a>&gt;&nbsp;getXYAdjustHandles()</pre>
                            </li>
                        </ul>
                        <a name="addAdjustValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;addAdjustValue()</pre>
                            </li>
                        </ul>
                        <a name="insertAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;insertAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAdjustValue</h4>
                                <pre>public&nbsp;void&nbsp;removeAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getAdjustValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAdjustValue</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;getAdjustValue(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getAdjustValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAdjustValues</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;&nbsp;getAdjustValues()</pre>
                            </li>
                        </ul>
                        <a name="addConnectionSite--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConnectionSite</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a>&nbsp;addConnectionSite()</pre>
                            </li>
                        </ul>
                        <a name="insertConnectionSite-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertConnectionSite</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a>&nbsp;insertConnectionSite(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeConnectionSite-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeConnectionSite</h4>
                                <pre>public&nbsp;void&nbsp;removeConnectionSite(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getConnectionSite-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConnectionSite</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a>&nbsp;getConnectionSite(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getConnectionSites--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConnectionSites</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFConnectionSite</a>&gt;&nbsp;getConnectionSites()</pre>
                            </li>
                        </ul>
                        <a name="addGuide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addGuide</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;addGuide()</pre>
                            </li>
                        </ul>
                        <a name="insertGuide-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertGuide</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;insertGuide(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeGuide-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeGuide</h4>
                                <pre>public&nbsp;void&nbsp;removeGuide(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getGuide-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGuide</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&nbsp;getGuide(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getGuides--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGuides</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFGeometryGuide.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFGeometryGuide</a>&gt;&nbsp;getGuides()</pre>
                            </li>
                        </ul>
                        <a name="addNewPath--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewPath</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFPath</a>&nbsp;addNewPath()</pre>
                            </li>
                        </ul>
                        <a name="insertNewPath-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewPath</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFPath</a>&nbsp;insertNewPath(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removePath-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removePath</h4>
                                <pre>public&nbsp;void&nbsp;removePath(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getPath-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPath</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFPath</a>&nbsp;getPath(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getPaths--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPaths</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPath.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFPath</a>&gt;&nbsp;getPaths()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFCustomGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFConnectionSite.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFDashStop.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFCustomGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFCustomGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
